uniform vec2 u_cellUVSize;
uniform vec2 u_detailAreaUVSize;
uniform vec2 u_detailAreaScale;
uniform vec2 u_detailAreaUVMul;
uniform vec2 u_detailUVSize;
uniform vec2 u_detailPixelUVSize;
varying vec2 v_texCoord;
varying vec2 v_cellTexCoord;

void main()
{
    vec4 cellCol = texture2D(CC_Texture1, v_cellTexCoord);
    vec4 cellAtt = texture2D(CC_Texture2, v_cellTexCoord);
    float mask = 1.0 - step(0.7, cellAtt.a);
    gl_FragColor = cellCol * mask;
        

}
